import { inputFromOctokit } from "../inputs/inputFromOctokit.js";
async function readRulesetId(take, getOwner, getRepository) {
  const rulesets = await take(inputFromOctokit, {
    endpoint: "GET /repos/{owner}/{repo}/rulesets",
    options: {
      owner: await getOwner(),
      repo: await getRepository()
    }
  });
  return rulesets?.find(
    (ruleset) => ruleset.name === "Branch protection for main"
  )?.id;
}
export {
  readRulesetId
};
